﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="..\packages\Microsoft.NetFramework.Analyzers.2.6.2\build\Microsoft.NetFramework.Analyzers.props" Condition="Exists('..\packages\Microsoft.NetFramework.Analyzers.2.6.2\build\Microsoft.NetFramework.Analyzers.props')" />
  <Import Project="..\packages\Microsoft.NetCore.Analyzers.2.6.2\build\Microsoft.NetCore.Analyzers.props" Condition="Exists('..\packages\Microsoft.NetCore.Analyzers.2.6.2\build\Microsoft.NetCore.Analyzers.props')" />
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{8A814F97-EFE1-4314-B144-9CE54F596ECA}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Algorithms</RootNamespace>
    <AssemblyName>Algorithms</AssemblyName>
    <TargetFrameworkVersion>v4.5.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile />
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
    <BuildToolsFxCopVersion>1.0.1</BuildToolsFxCopVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
    <RunCodeAnalysis>False</RunCodeAnalysis>
    <CodeAnalysisRuleSet>
    </CodeAnalysisRuleSet>
    <CodeAnalysisTreatWarningsAsErrors>True</CodeAnalysisTreatWarningsAsErrors>
    <RunCodeAnalysisRestore>False</RunCodeAnalysisRestore>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
    <RunCodeAnalysis>False</RunCodeAnalysis>
    <CodeAnalysisRuleSet>
    </CodeAnalysisRuleSet>
    <CodeAnalysisTreatWarningsAsErrors>True</CodeAnalysisTreatWarningsAsErrors>
    <RunCodeAnalysisRestore>True</RunCodeAnalysisRestore>
  </PropertyGroup>
  <PropertyGroup>
    <StartupObject />
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Alglib2, Version=3.10.0.0, Culture=neutral, processorArchitecture=x86">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\3dparty\Alglib2.dll</HintPath>
    </Reference>
    <Reference Include="Functions">
      <HintPath>..\Functions\bin\Debug\Functions.dll</HintPath>
    </Reference>
    <Reference Include="ICSharpCode.SharpZipLib">
      <HintPath>..\3dparty\moea and ikvm\ICSharpCode.SharpZipLib.dll</HintPath>
    </Reference>
    <Reference Include="IKVM.OpenJDK.Beans, Version=7.2.4630.5, Culture=neutral, PublicKeyToken=13235d27fcbfff58, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\3dparty\moea and ikvm\IKVM.OpenJDK.Beans.dll</HintPath>
    </Reference>
    <Reference Include="IKVM.OpenJDK.Charsets, Version=7.2.4630.5, Culture=neutral, PublicKeyToken=13235d27fcbfff58, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\3dparty\moea and ikvm\IKVM.OpenJDK.Charsets.dll</HintPath>
    </Reference>
    <Reference Include="IKVM.OpenJDK.Core, Version=8.1.5717.0, Culture=neutral, PublicKeyToken=13235d27fcbfff58, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\3dparty\moea and ikvm\IKVM.OpenJDK.Core.dll</HintPath>
    </Reference>
    <Reference Include="IKVM.OpenJDK.Jdbc, Version=7.2.4630.5, Culture=neutral, PublicKeyToken=13235d27fcbfff58, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\3dparty\moea and ikvm\IKVM.OpenJDK.Jdbc.dll</HintPath>
    </Reference>
    <Reference Include="IKVM.OpenJDK.Management, Version=7.2.4630.5, Culture=neutral, PublicKeyToken=13235d27fcbfff58, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\3dparty\moea and ikvm\IKVM.OpenJDK.Management.dll</HintPath>
    </Reference>
    <Reference Include="IKVM.OpenJDK.Media, Version=7.2.4630.5, Culture=neutral, PublicKeyToken=13235d27fcbfff58, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\3dparty\moea and ikvm\IKVM.OpenJDK.Media.dll</HintPath>
    </Reference>
    <Reference Include="IKVM.OpenJDK.Misc, Version=7.2.4630.5, Culture=neutral, PublicKeyToken=13235d27fcbfff58, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\3dparty\moea and ikvm\IKVM.OpenJDK.Misc.dll</HintPath>
    </Reference>
    <Reference Include="IKVM.OpenJDK.Naming, Version=7.2.4630.5, Culture=neutral, PublicKeyToken=13235d27fcbfff58, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\3dparty\moea and ikvm\IKVM.OpenJDK.Naming.dll</HintPath>
    </Reference>
    <Reference Include="IKVM.OpenJDK.Remoting, Version=7.2.4630.5, Culture=neutral, PublicKeyToken=13235d27fcbfff58, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\3dparty\moea and ikvm\IKVM.OpenJDK.Remoting.dll</HintPath>
    </Reference>
    <Reference Include="IKVM.OpenJDK.Security, Version=7.2.4630.5, Culture=neutral, PublicKeyToken=13235d27fcbfff58, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\3dparty\moea and ikvm\IKVM.OpenJDK.Security.dll</HintPath>
    </Reference>
    <Reference Include="IKVM.OpenJDK.Text, Version=7.2.4630.5, Culture=neutral, PublicKeyToken=13235d27fcbfff58, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\3dparty\moea and ikvm\IKVM.OpenJDK.Text.dll</HintPath>
    </Reference>
    <Reference Include="IKVM.OpenJDK.Tools, Version=8.1.5717.0, Culture=neutral, PublicKeyToken=13235d27fcbfff58, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\3dparty\moea and ikvm\IKVM.OpenJDK.Tools.dll</HintPath>
    </Reference>
    <Reference Include="IKVM.OpenJDK.Util, Version=8.1.5717.0, Culture=neutral, PublicKeyToken=13235d27fcbfff58, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\3dparty\moea and ikvm\IKVM.OpenJDK.Util.dll</HintPath>
    </Reference>
    <Reference Include="IKVM.OpenJDK.XML.API, Version=7.2.4630.5, Culture=neutral, PublicKeyToken=13235d27fcbfff58, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\3dparty\moea and ikvm\IKVM.OpenJDK.XML.API.dll</HintPath>
    </Reference>
    <Reference Include="IKVM.OpenJDK.XML.Bind, Version=7.2.4630.5, Culture=neutral, PublicKeyToken=13235d27fcbfff58, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\3dparty\moea and ikvm\IKVM.OpenJDK.XML.Bind.dll</HintPath>
    </Reference>
    <Reference Include="IKVM.OpenJDK.XML.Crypto">
      <HintPath>..\3dparty\moea and ikvm\IKVM.OpenJDK.XML.Crypto.dll</HintPath>
    </Reference>
    <Reference Include="IKVM.OpenJDK.XML.Parse, Version=7.2.4630.5, Culture=neutral, PublicKeyToken=13235d27fcbfff58, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\3dparty\moea and ikvm\IKVM.OpenJDK.XML.Parse.dll</HintPath>
    </Reference>
    <Reference Include="IKVM.OpenJDK.XML.Transform">
      <HintPath>..\3dparty\moea and ikvm\IKVM.OpenJDK.XML.Transform.dll</HintPath>
    </Reference>
    <Reference Include="IKVM.OpenJDK.XML.WebServices, Version=7.2.4630.5, Culture=neutral, PublicKeyToken=13235d27fcbfff58, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\3dparty\moea and ikvm\IKVM.OpenJDK.XML.WebServices.dll</HintPath>
    </Reference>
    <Reference Include="IKVM.OpenJDK.XML.XPath">
      <HintPath>..\3dparty\moea and ikvm\IKVM.OpenJDK.XML.XPath.dll</HintPath>
    </Reference>
    <Reference Include="IKVM.Reflection">
      <HintPath>..\3dparty\moea and ikvm\IKVM.Reflection.dll</HintPath>
    </Reference>
    <Reference Include="IKVM.Runtime, Version=8.1.5717.0, Culture=neutral, PublicKeyToken=13235d27fcbfff58, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\3dparty\moea and ikvm\IKVM.Runtime.dll</HintPath>
    </Reference>
    <Reference Include="IKVM.Runtime.JNI, Version=8.1.5717.0, Culture=neutral, PublicKeyToken=13235d27fcbfff58, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\3dparty\moea and ikvm\IKVM.Runtime.JNI.dll</HintPath>
    </Reference>
    <Reference Include="JVM">
      <HintPath>..\3dparty\moea and ikvm\JVM.DLL</HintPath>
    </Reference>
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="MOEAFramework-2.12">
      <HintPath>..\3dparty\moea and ikvm\MOEAFramework-2.12.dll</HintPath>
    </Reference>
    <Reference Include="NLog, Version=4.0.0.0, Culture=neutral, PublicKeyToken=5120e14c03d0593c, processorArchitecture=MSIL">
      <HintPath>..\packages\NLog.4.5.11\lib\net45\NLog.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.IO.Compression" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.ServiceModel" />
    <Reference Include="System.Transactions" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="ExaminOutputParser.cs" />
    <Compile Include="ExceptionMessages.cs" />
    <Compile Include="Methods\AbsolutAlgConstants.cs" />
    <Compile Include="Methods\AGP_2.cs" />
    <Compile Include="Methods\AlglibAul1.cs" />
    <Compile Include="Methods\AlglibBleic1.cs" />
    <Compile Include="Methods\Characteristic.cs" />
    <Compile Include="Methods\CharacteristicAlgParal.cs" />
    <Compile Include="Methods\DE.cs" />
    <Compile Include="Methods\DifferentialEvolution.cs" />
    <Compile Include="Methods\DiRect.cs" />
    <Compile Include="Methods\ExaminMcoAlg.cs" />
    <Compile Include="Methods\Examin_alg.cs" />
    <Compile Include="Methods\Agp.cs" />
    <Compile Include="AlgFactory.cs" />
    <Compile Include="Methods\CharacteristicAlg.cs" />
    <Compile Include="Methods\GA.cs" />
    <Compile Include="Methods\GenericAlg.cs" />
    <Compile Include="Methods\GeneticSimpleAlg.cs" />
    <Compile Include="Methods\Genome.cs" />
    <Compile Include="Methods\GenomeComparer.cs" />
    <Compile Include="ISearchAlg.cs" />
    <Compile Include="Methods\MethodPoint.cs" />
    <Compile Include="Methods\moea.cs" />
    <Compile Include="Methods\Piyavskiy.cs" />
    <Compile Include="Methods\ScanningAlg_Paral.cs" />
    <Compile Include="ParetoFrontHelper.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Methods\ScanningAlg.cs" />
    <Compile Include="StandartProperties.cs" />
    <Compile Include="SupportedFeatures.cs" />
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
      <DesignTime>True</DesignTime>
    </Compile>
    <None Include="app.config" />
    <None Include="ClassDiagram1.cd" />
    <None Include="NLog.config">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="packages.config" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <WCFMetadata Include="Service References\" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\CustomProperties\CustomProperties.csproj">
      <Project>{f6ae4328-2a70-4bc2-8a04-da99be81e672}</Project>
      <Name>CustomProperties</Name>
    </ProjectReference>
    <ProjectReference Include="..\Properties\Properties.csproj">
      <Project>{d72e7198-c9a8-4413-8a8e-9efb069b0493}</Project>
      <Name>Properties</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Analyzer Include="..\packages\Microsoft.NetCore.Analyzers.2.6.2\analyzers\dotnet\cs\Microsoft.NetCore.Analyzers.dll" />
    <Analyzer Include="..\packages\Microsoft.NetCore.Analyzers.2.6.2\analyzers\dotnet\cs\Microsoft.NetCore.CSharp.Analyzers.dll" />
    <Analyzer Include="..\packages\Microsoft.NetFramework.Analyzers.2.6.2\analyzers\dotnet\cs\Microsoft.NetFramework.Analyzers.dll" />
    <Analyzer Include="..\packages\Microsoft.NetFramework.Analyzers.2.6.2\analyzers\dotnet\cs\Microsoft.NetFramework.CSharp.Analyzers.dll" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>This project references NuGet package(s) that are missing on this computer. Use NuGet Package Restore to download them.  For more information, see http://go.microsoft.com/fwlink/?LinkID=322105. The missing file is {0}.</ErrorText>
    </PropertyGroup>
    <Error Condition="!Exists('..\packages\Microsoft.NetCore.Analyzers.2.6.2\build\Microsoft.NetCore.Analyzers.props')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\Microsoft.NetCore.Analyzers.2.6.2\build\Microsoft.NetCore.Analyzers.props'))" />
    <Error Condition="!Exists('..\packages\Microsoft.NetFramework.Analyzers.2.6.2\build\Microsoft.NetFramework.Analyzers.props')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\Microsoft.NetFramework.Analyzers.2.6.2\build\Microsoft.NetFramework.Analyzers.props'))" />
  </Target>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>